Your Moodle version

Activities: oohoo - Tab display

mod_tab
Maintained by Picture of Patrick Thibaudeau Patrick Thibaudeau, Picture of Nicolas Bretin Nicolas Bretin
The tab display module allows you to setup your information in a tabbed format. This helps to clean up your course by combining several resources into Tabs.
375
544
7

Tab Display is a resource module used to display course information such as notes, readings, biography etc, in a tab structure per chapter/module within a course.

Websites can also be embedded into the tabs. Using Moodle auto-linking, helps create links to other activities or resources.

New features:

  • A general description can be added above the tabs
  • PDF embedded functionality. If you put a link with a PDF file on the content of a tab (without any text around), the PDF file will be displayed in an iFrame

Screenshots

Screenshot #0
Screenshot #1

Contributors

Picture of Patrick Thibaudeau
Patrick Thibaudeau (Lead maintainer)
Picture of Nicolas Bretin
Nicolas Bretin: Programmer
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Nick Varney
    Mon, Feb 10, 2014, 10:47 PM
    This seems to work fine when testing in Moodle 2.6 . However we would really appreciate confirmation from the authors on its suitability in 2.6 before we install it on our production Moodle site.
  • Picture of Rodney Wolford
    Wed, Feb 26, 2014, 7:02 AM
    I use your tab display all the time, but I got tired of seeing the "deprecated error" with debugger running, so I changed three code lines as follows:

    In mod/tab/view.php
    line 53
    //$context = get_context_instance(CONTEXT_MODULE, $cm->id); old line becomes:
    $context = context_module::instance($cm->id);
    line 54
    //$coursecontext = get_context_instance(CONTEXT_COURSE, $course->id); old line becomes:
    $context = context_course::instance($course->id);

    Then in mod/tab.lib.php
    line 186
    //$context = get_context_instance(CONTEXT_MODULE, $cmid) -- old line, becomes:
    $context = context_module::instance($cmid);

    I have two questions about this: 1) Is this alright to do, no problems? And 2) if it is OK, then couldn't it be used in an update release of your TAB module?

    Rod Wolford
  • Picture of Clemente Luna
    Tue, Apr 28, 2015, 10:52 PM
    hola Alguien ha usado tab display en moodle 2.7 o en moodle 2.8 saludos... a todos.
  • Amy
    Thu, Jun 18, 2015, 11:33 PM
    Any chance that the tab display will be available for Moodle 2.8?
  • barbara braun
    Tue, Jun 23, 2015, 8:22 PM
    Same as for Amy - are there any plans? Thanks for the plugin anyway!
  • Picture of Don Hazelwood
    Wed, Jun 24, 2015, 10:44 PM
    I as well would like to know if this useful plugin will be updated for Moodle 2.8 and beyond.
  • Picture of Stephen Catton
    Tue, Nov 17, 2015, 10:19 PM
    really love this but sadly it wont load in to V3. Is there any chance of this being upgraded
  • Just wondering . . .
    Sat, Nov 21, 2015, 7:16 AM
    Stephen, check out this: https://moodle.org/mod/forum/discuss.php?d=323539 Ger seems to have got something working.

    -Derek
  • Picture of Kris KIm
    Sun, Nov 22, 2015, 12:22 PM
    You will be updated under the Moodle 3.0?
  • Picture of Nick Varney
    Thu, Dec 17, 2015, 10:27 PM
    Oh dear as along time user of this plugin we seem to have lost the ability to upload and link documents into a tab via the file picker?? All I can see in my file picker now is YouTube and Embedded files. We are still on Moodle 2.6 and this was working so I wonder what broke?
  • Picture of Nick Varney
    Fri, Dec 18, 2015, 6:36 PM
    Now tested this in Moodle 2.9 and the Atto editor. When trying to upload and link to a document in a tab the file picker is just offering 'Embedded Files'. I hope the devs can find time to return to this plugin soon, we have 85 instances of it running across our site.
  • Picture of Anne Reardon
    Mon, Jan 11, 2016, 5:32 AM
    Please consider updating the plugin to allow tab displays to work with Moodle 3.0. Tab displays have been very useful and now that we've been updated to 3.0, they are no longer accessible in my course.
  • Just wondering . . .
    Mon, Jan 11, 2016, 6:43 AM
    Anne, you may be out of luck with these guys. Sadly, I think they have moved on. See https://oohoo.biz/index.php/en/plug-ins/display/tab-display/ The last update here is 2012.
    There are some other alternatives. Try a search for 'tabs' you'll find Generico and at least one other tabs plugin.

    -Derek
  • barbara braun
    Mon, Jan 11, 2016, 4:50 PM
    Hi - thanks to my colleague Kathrin Schwarz who looked into it I'm quite happy it does work with 3.0 - at least for us.

    It was pretty simple only adjust the version
    change in mod/tab/version.php in :

    $plugin->version = 2014040200; // The current module version (Date: YYYYMMDDXX)
    $plugin->requires = 2014040200; // Requires this Moodle version
    $plugin->maturity = MATURITY_STABLE;
    $plugin->release = '2.2.0 (Build: 2014040200)';
    $plugin->cron = 0;
    $plugin->component = 'mod_tab'; // Full name of the plugin (used for diagnostics)

    Hope it works for you
  • Picture of Anne Reardon
    Mon, Jan 11, 2016, 8:13 PM
    Thank you! We'll give it a try!
1 2 3
Please login to post comments